Subject: Re: [PATCH net v5 0/3] macsec: Add support for VLAN filtering in offload mode

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 Mar 2026 09:32:43 -0700

On Mon, 23 Mar 2026 16:02:59 +0100 Sabrina Dubroca wrote:
> 2026-03-23, 14:42:00 +0000, Cosmin Ratiu wrote:
> > On Mon, 2026-03-23 at 15:28 +0100, Sabrina Dubroca wrote:  
> > > Why not? Being able to test without accessing real HW is still
> > > useful.
> > >   
> > The tests now send macsec traffic over VLANs and nsim, it's just that
> > nsim doesn't deal with VLAN filters at all and there are no stubbed
> > vlan filters in debugfs, since real hw doesn't have that interface.  
> 
> Since netdevsim doesn't deal with VLAN filters at all, the "tests
> should be written so that they can run both against ``netdevsim`` and
> a real device" bit of the docs doesn't fully apply here?
> 
> Anyway, I think the original tests had value, even if they're more
> limited in some ways than traffic tests. HW/driver behavior could be
> hiding problems in the stack with VLAN propagation, those simpler
> tests don't have that risk.

To be clear running the HW test without NETIF= should provide
similar functionality to what the old tests could do. It's entirely
okay to add netdevsim-specific subtests/test cases or asserts.

Is there anything specific that you'd like to be tested?
Let's not make this about HW tests vs nsim-only tests.